> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Removed

> Returns calendar events that have been removed or cancelled from the specified event types

<ResponseExample>
  ```json Response (200 OK) theme={null}
  {
    "removed": [
      {
        "id": "5b5d22b5be523300016fd411",
        "type": "dividends",
        "updated": 0
      },
      {
        "id": "5c3dc573a8839f000125ef6b",
        "type": "dividends",
        "updated": 0
      },
      {
        "id": "5c3de0ffa8839f000125efd4",
        "type": "dividends",
        "updated": 0
      },
      {
        "id": "5c3e642da8839f000125f167",
        "type": "dividends",
        "updated": 0
      },
      {
        "id": "5c3d9249a8839f000125ef61",
        "type": "dividends",
        "updated": 0
      }
    ]
  }
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml /openapi/calendar_api.spec.yml GET /api/v2.1/calendar-removed/
openapi: 3.0.0
info:
  contact: {}
  description: >-
    This REST API returns structured data for conference calls, dividends,
    earnings (and future earnings dates), economics, pharmaceutical
    announcements, guidance, IPOs, secondary offerings, ratings, M&A activity,
    and splits.
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar-removed/:
    get:
      tags:
        - removed
      summary: Removed (v2)
      description: >-
        Returns calendar events that have been removed or cancelled from the
        specified event types
      operationId: get-removed
      parameters:
        - description: >-
            Page offset. For optimization, performance and technical reasons,
            page offsets are limited from 0 - 100000. Limit the query results by
            other parameters such as date. Default is 0
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: Number of results returned. Limit 1000
          in: query
          name: pageSize
          schema:
            type: integer
            default: 100
        - description: Type
          in: query
          name: type
          schema:
            type: string
            enum:
              - ratings
              - earnings
              - dividends
              - splits
              - ipos
              - offerings
              - economics
              - guidance
              - ma
              - conference calls
        - description: >-
            Records last Updated Unix timestamp (UTC). This will force the sort
            order to be Greater Than or Equal to the timestamp indicated
          in: query
          name: updated
          schema:
            type: integer
      responses:
        '200':
          description: Removed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/calendarapi.RemovedJSON'
            text/xml:
              schema:
                $ref: '#/components/schemas/calendarapi.RemovedJSON'
        '500':
          description: Internal Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    calendarapi.RemovedJSON:
      properties:
        removed:
          items:
            $ref: '#/components/schemas/calendarapi.Removed'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.Removed:
      properties:
        id:
          type: string
        type:
          type: string
        updated:
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````